package com.kuyuntech.vrv.coreapi.service.core;

import com.kuyuntech.vrv.coreapi.bean.core.GatewayBean;
import com.wbspool.fastboot.core.common.bean.PagerBean;
import java.util.List;

/**
 * GatewayService
 *
 */
public interface GatewayService  {

    

    /**
     * 新增记录
     * @param gatewayBean 新增参数
     * @return 如果成功返回对应bean，否则返回null
     */
     GatewayBean add(GatewayBean gatewayBean);

    /**
     * 更新记录
     * @param gatewayBean 更新参数
     * @return 如果成功返回对应bean，否则返回null
     */
     GatewayBean update(GatewayBean gatewayBean);

    /**
     * 删除记录
     * @param gatewayBean 删除参数
     * @return 如果成功返回对应bean，否则返回null
     */
    GatewayBean delete(GatewayBean gatewayBean);

    /**
     * 查找一条记录
     * @param gatewayBean 查找参数
     * @return 如果成功返回对应bean，否则返回null
     */
    GatewayBean find(GatewayBean gatewayBean);

    /**
     * 通过唯一标识查找记录
     * @param code 用户标识
     * @return 记录存在返回对应的bean，否则返回null
     */
     GatewayBean find(String code);

    /**
     * 分页查找多条记录
     * @param gatewayBean 查找参数
     * @param pagerBean  分页参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     List<GatewayBean> findAll(GatewayBean gatewayBean, PagerBean pagerBean);



    /**
     * 查找所有记录
     * @param gatewayBean 查找参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     List<GatewayBean> findAll(GatewayBean gatewayBean);


    /**
     * 统计所有记录
     * @param gatewayBean 统计参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     Long countAll(GatewayBean gatewayBean);

    /**
     * 分页查找多条记录
     * @param gatewayBean 查询条件参数
     * @param pagerBean 分页参数
     * @return 返回查询结果的Pager封装
     */
     PagerBean<GatewayBean> findPager(GatewayBean gatewayBean, PagerBean pagerBean);

    /**
     * 批量删除
     * @param gatewayBeans 批量删除元素集合
     */
     void batchDelete(List<GatewayBean> gatewayBeans);

    /**
     * 批量删除
     * @param codes 唯一标识集合
     */
    void batchDeleteByCodes(List<String> codes);


}
